i found the magic chicken

After flailing all day trying to get ruby 1.9.3-p385 installed on my os x 10.9.4 machine, and trying many, many suggestions, this finally worked for me:

> CFLAGS=-Wno-error=shorten-64-to-32 rbenv install 1.9.3-p385

To make things more complicated, I previously had fink and macports installed, and wanted to switch to brew, exclusively. You can see from the above that I'm using rbenv, and not rvm.

Other things involved using brew to install readline and openssl and gcc42, but none of those actually fixed the problem.